.single-parent-post-container{
    margin: 60px auto;
}
@media screen and (min-width: 960px) {
    .single-parent-post-container{
        max-width: 960px;
    }
   
}
@media screen and (min-width: 1200px) {
    .single-parent-post-container{
        max-width: 1140px;
    }
   
}
.reading_time_container {
    margin-bottom: 2rem;
}
.reading_time_container h6{
    font-weight: 600;
    font-size: 18px;
    color: var(--green);
    display: flex;
    align-items: center;
}
.reading_time_container h6 span{
    font-size: 24px;
    color: var(--green);
    margin-right: 12px;
    width: 30px;
}
.single_post_title h3{
    font-weight: 700;
    font-size: 30px;   
    color: var(--blue); 
    line-height: 150%;
}
.single_post_publish_date{
    margin-top: 2rem;
    font-weight: 600;
    font-size: 18px;
    color: var(--green);
}
.single_featured_image_container{
    margin-top: 2rem;
    margin-bottom: 2rem;
}

.back_to_all_posts_container{
    display: flex;
    justify-content: center;
    margin-top: 8rem;
}
.back_to_all_posts_container a{
    padding: 10px;
    background-color: var(--light-yellow);
    color: white;
    border-radius: 3px;
    font-weight: 700;
    font-size: 14px;
}
.lower_single_post_section {
    margin-top: 10rem;
}
.lower_single_post_section h5{
    margin-bottom: 30px;
    font-weight: 600;
    font-size: 24px;
}
.related_post_container {
    display: flex;
    width: 100%;
    justify-content: space-between;
}
.related_single_post{
    width: 30%;
}
.related_featured_post_container img{
    height: 318px;
    object-fit: cover;
    width: 100%;
}
.related_post_date{
    font-weight: 600;
    font-size: 16px;
    color: var(--green);
    margin-top: 18px;
    margin-bottom: 10px;
}
.related_post_title{
    font-weight: 600;
    font-size: 18px;
    color: #232536;
    margin-bottom: 6px;
    display: -webkit-box;
    -webkit-line-clamp: 2; /* Number of lines to display */
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}
.related_excerpt{
    font-weight: 400;
font-size: 18px;
line-height: 28.8px;
color: #232536;
display: -webkit-box;
-webkit-line-clamp: 4; /* Number of lines to display */
-webkit-box-orient: vertical;
overflow: hidden;
text-overflow: ellipsis;
}


@media screen and (max-width: 600px) {
    .reading_time_container h6 {
        font-size: 16px;
    }
    .reading_time_container h6 span {
        font-size: 20px;
        width: 20px;
    }
    .single-parent-post-container{
        width: 85%;
    }
    .single_featured_image_container img{
        height: 290px;
    }
    .single_post_title h3 {
        font-size: 24px !important;
    }
    .single_post_publish_date {
        font-size: 16px;
    }
    .lower_single_post_section h5{
        font-size: 20px;
    }
    .related_post_container{
        flex-direction: column;
    }
    .related_single_post{
        width: 100%;
    }
    .related_post_title{
        font-size: 20px;
    }
}